;sinus  --  experiment met sinus-lut
;
int rood = 10
int groen = 100
int blauw = 200
int stepr = 1
int stepg = 3 
int stepb = 5
int err

while 1 == 1

 err = chk lut 2 15 15 rood groen blauw

 if (rood += stepr) > 353
   stepr = rood - 361
 elseif rood < 5
   stepr = 5 -rood 
 endif

 if (groen += stepg) > 353
   stepg = groen - 361
 elseif groen < 5
   stepg = 5 -groen
 endif

 if (blauw += stepb) > 353
   stepb = blauw - 361
 elseif blauw < 5
   stepb = 5 - blauw
 endif

endw
stop
